Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.jsonrpc
Class TurbineJsonRpcService

    java.lang.Object
      org.apache.turbine.services.BaseInitable
          org.apache.turbine.services.BaseService
              org.apache.turbine.services.TurbineBaseService
                  org.apache.turbine.services.jsonrpc.TurbineJsonRpcService

All Implemented Interfaces:
  Initable, JsonRpcService, Service

    public class TurbineJsonRpcService

extends TurbineBaseService
implements JsonRpcService

This is a service that will respond to JSON-RPC calls.

Version:
  $Id: TurbineJsonRpcService.java 712125 2008-11-07 13:47:28Z seade $
Author:
  Scott Eade

Field Summary
`static String` | `JSON_BRIDGE_KEY` The key used to store the bridge in the session.

Fields inherited from class org.apache.turbine.services.BaseService
`configuration, name, serviceBroker`

Fields inherited from class org.apache.turbine.services.BaseInitable
`initableBroker, isInitialized`

Fields inherited from interface org.apache.turbine.services.jsonrpc.JsonRpcService
`SERVICE_NAME`

Constructor Summary
`TurbineJsonRpcService()`

Method Summary
`void` | `clearBridge(javax.servlet.http.HttpSession session)`
`com.metaparadigm.jsonrpc.JSONRPCBridge` | `getBridge(javax.servlet.http.HttpSession session)`
`Object` | `processCall(CharArrayWriter cdata, com.metaparadigm.jsonrpc.JSONRPCBridge json_bridge, javax.servlet.http.HttpServletRequest request)`
`void` | `registerObject(javax.servlet.http.HttpSession session, String key, Object value)`
`void` | `registerObjectGlobal(String key, Object value)`

Methods inherited from class org.apache.turbine.services.TurbineBaseService
`init, init, init, init, shutdown`

Methods inherited from class org.apache.turbine.services.BaseService
`getConfiguration, getName, getProperties, getServiceBroker, setName, setServiceBroker`

Methods inherited from class org.apache.turbine.services.BaseInitable
`getInit, getInitableBroker, setInit, setInitableBroker`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### JSON_BRIDGE_KEY

    public static final String JSON_BRIDGE_KEY

  The key used to store the bridge in the session.

  See Also:
    Constant Field Values

Constructor Detail

### TurbineJsonRpcService

    public TurbineJsonRpcService()

Method Detail

### processCall

    public Object processCall(CharArrayWriter cdata,
                              com.metaparadigm.jsonrpc.JSONRPCBridge json_bridge,
                              javax.servlet.http.HttpServletRequest request)

  Specified by:
    `processCall` in interface `JsonRpcService`

### registerObjectGlobal

    public void registerObjectGlobal(String key,
                                     Object value)

  Specified by:
    `registerObjectGlobal` in interface `JsonRpcService`

### registerObject

    public void registerObject(javax.servlet.http.HttpSession session,
                               String key,
                               Object value)

  Specified by:
    `registerObject` in interface `JsonRpcService`

### getBridge

    public com.metaparadigm.jsonrpc.JSONRPCBridge getBridge(javax.servlet.http.HttpSession session)

  Specified by:
    `getBridge` in interface `JsonRpcService`

### clearBridge

    public void clearBridge(javax.servlet.http.HttpSession session)

  Specified by:
    `clearBridge` in interface `JsonRpcService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.